function [GeoC,GeoD,SystemStates,LocalDensity,LocalDensity2,LocalDensity3,LocalDensityVar,LocalDensityVar2,LocalDensityVar3,percapGrowth,GeoCSeries,GeoDSeries,Time,sampleTimes,GeoSeriesTimes,stopping]=runPatch_SimpleInteract(runTime,GeoC,GeoD,SystemStates,LocalDensity,LocalDensity2,LocalDensity3,LocalDensityVar,LocalDensityVar2,LocalDensityVar3,percapGrowth,GeoCSeries,GeoDSeries,Parameters,WeightOrigin,WeightAdjacent,Weight2ndNeighbour,Time,sampleTimes,GeoSeriesTimes,numCells,WorldHeight,WorldWidth,Map,MapType)
%runPatch

%bacterial world of defectors and cheats producing siderophore
%run for the number of times specified in for loop.  This represents the
%size of the time series.  Actual system dynamics occur faster (multiple
%time steps taken in every call to Simulate)

%Edward Wong Nov 9, 2011
%updated 5/13/14: new simple interaction model

%runTime=100; %this just indicates how long the simulation runs for, does not affect time series qualitatively
sampleTimeSteps=100; %50 is roughly a generation time.  Changing this may impact interpretations of interaction kernel and fitted delay differential equations

%startTime=Time+1
%endTime=runTime*sampleTimeSteps+Time
%startClock=datestr(rem(now,1))

%tic

for w=1:runTime %obtain this many data points in time series
    %[GeoC,GeoD,SystemStates,LocalDensity,LocalDensity2,LocalDensity3,LocalDensityVar,LocalDensityVar2,LocalDensityVar3,percapGrowth,Time,sampleTimes]=SimulatePatch(sampleTimeSteps,GeoC,GeoD,SystemStates,LocalDensity,LocalDensity2,LocalDensity3,LocalDensityVar,LocalDensityVar2,LocalDensityVar3,percapGrowth,WorldHeight,WorldWidth,Parameters,WeightOrigin,WeightAdjacent,Weight2ndNeighbour,Time,sampleTimes,numCells,Map,MapType);

    [GeoC,GeoD,SystemStates,LocalDensity,LocalDensity2,LocalDensity3,LocalDensityVar,LocalDensityVar2,LocalDensityVar3,percapGrowth,Time,sampleTimes]=SimulatePatch_SimpleInteract(sampleTimeSteps,GeoC,GeoD,SystemStates,LocalDensity,LocalDensity2,LocalDensity3,LocalDensityVar,LocalDensityVar2,LocalDensityVar3,percapGrowth,WorldHeight,WorldWidth,Parameters,WeightOrigin,WeightAdjacent,Weight2ndNeighbour,Time,sampleTimes,numCells,Map,MapType);
    drawnow
    stopping=0;
    %stopping=plotStatesSimpleInteract(GeoC,GeoD,sampleTimes,SystemStates,LocalDensity,LocalDensity2,LocalDensity3,Map,WorldHeight,WorldWidth);   
%     if (stopping == 1)
%         break
%     end
end
    %plotStates (GeoC,GeoD,GeoS,sampleTimes,SystemStates,LocalDensity,LocalDensity2,LocalDensity3,Map,WorldHeight,WorldWidth);
%toc

GeoCSeries=cat(3,GeoCSeries,GeoC);
GeoDSeries=cat(3,GeoDSeries,GeoD);
GeoSeriesTimes=[GeoSeriesTimes, Time];

%plotStates (GeoC,GeoD,GeoS,sampleTimes,SystemStates,LocalDensity,LocalDensity2,LocalDensity3,Map,WorldHeight,WorldWidth);
