function [xnext,ynext] = nextCell(x,y,direction,WorldHeight,WorldWidth)

%takes current (x,y) positions, and return location of cell in the
%specified direction ->(xnext, ynext)
%direction: 1,2,3,4 (N,E,S,W)

xnext=x;
ynext=y;

%first, assume (x,y) not touching edges of world:
if(direction==1)
    ynext=y+1;
elseif(direction==2)
    xnext=x+1;
elseif(direction==3)
    ynext=y-1;
elseif(direction==4)
    xnext=x-1;
end

%then, check if any xnext values are outside of the world
if(xnext==WorldWidth+1)
    xnext=1;
elseif(xnext==0)
    xnext=WorldWidth;
end

%finally, check if any ynext values are outside of the world
if(ynext==WorldHeight+1)
    ynext=1;
elseif(ynext==0)
    ynext=WorldHeight;
end